import 'dart:ui';

import 'package:flutter/material.dart';
import 'package:flutter/services.dart';
import 'package:login_screen/bottomnavigationbar/page1.dart';
import 'package:login_screen/bottomnavigationbar/page2.dart';
import 'package:login_screen/bottomnavigationbar/page3.dart';
import 'package:login_screen/bottomnavigationbar/page4.dart';

class NavBar8 extends StatefulWidget {
  const NavBar8({Key? key}) : super(key: key);

  @override
  State<NavBar8> createState() => _NavBar8State();
}

class _NavBar8State extends State<NavBar8> {
  int _selectedIndex = 0;
  List pages = [
    const Page1(),
    const Page2(),
    const Page3(),
    const Page4(),
  ];
List labes=[
  'Home',
  'Notification',
  'Cart',
  'Profile'
];
  List icon=[
    Icons.home,
    Icons.notifications,
    Icons.shopping_cart,
    Icons.person
  ];
  void onTapNav(int index) {
    setState(() {
      _selectedIndex = index;
    });
  }
  @override
  void initState() {
    super.initState();
    SystemChrome.setSystemUIOverlayStyle(const SystemUiOverlayStyle(statusBarColor: Colors.transparent,statusBarIconBrightness: Brightness.light,));

  }

  @override
  Widget build(BuildContext context) {
    Size screenSize = MediaQuery.of(context).size;
    return Scaffold(
      extendBody: true,
      body: pages[_selectedIndex],
      bottomNavigationBar: Container(
        margin: EdgeInsets.symmetric(horizontal: 5,vertical: 20),
        width: screenSize.width,
        height: 70,
        child: ClipRRect(borderRadius: BorderRadius.circular(20),
          child: Container(
           color: Colors.transparent,
            child: Stack(
              children: [
                BackdropFilter(filter: ImageFilter.blur(sigmaX: 2,sigmaY: 2),
                  child: Container(),),
                Container(
                  decoration: BoxDecoration(
                      border: Border.all(color: Colors.white.withOpacity(.15),),
                      gradient: LinearGradient(
                          begin: Alignment.topLeft,
                          end: Alignment.bottomRight,
                          colors: [
                            Colors.white.withOpacity(.15),
                            Colors.white.withOpacity(.1)
                          ]
                      )
                  ),
                ),
                Row(
                  mainAxisAlignment: MainAxisAlignment.spaceAround, // Distribute items evenly
                  children: List.generate(
                    labes.length,
                        (index) {
                      return InkWell(
                        onTap: (){
                          onTapNav(index);
                          },
                        child: Column(
                          mainAxisAlignment: MainAxisAlignment.center,
                          children: [
                            Stack(
                              children: [
                                Icon(icon[index],color: _selectedIndex==index?Colors.grey:Colors.black,size: 27,),
                                Icon(icon[index],color: _selectedIndex==index?Colors.black:Colors.white,size: 24,),
                              ],
                            ),
                            SizedBox(height: 5), // Add spacing between icon and text
                            Text('${labes[index]}',style: TextStyle(
                              color: _selectedIndex==index?Colors.black:Colors.white,
                              shadows: [BoxShadow(color: Colors.black,spreadRadius: 2,blurRadius: 1,offset: Offset(1,1))]
                            ),),
                          ],
                        ),
                      );
                    },
                  ),
                ),
              ],
            ),
          ),
        ),
      ),
    );
  }


}
